trash-list(1)

NAME
trash-list - List trashed files.

SYNOPSIS
trash-list [OPTIONS]...

DESCRIPTION

List all the contents of the trashcan.

OPTIONS

-h, --help
    Show help message and exit.

--trash-dir=TRASHDIR
    Use TRASHDIR as trash folder. Can be used multiple times

--version
    Show program's version number and exit.

EXAMPLES
List all trashed files or grep output:
$ trash-list
2008-06-23 21:57:26 /home/andrea/src/bluetrash/pippo
2008-06-23 21:50:41 /home/andrea/foobar
2008-06-23 21:50:49 /home/andrea/foobar
2008-06-23 21:53:13 /media/disk/adsfljasldj
$ trash-list | grep foo
2008-06-23 21:50:41 /home/andrea/foobar
2008-06-23 21:50:49 /home/andrea/foobar

BUGS
Please, report bugs to https://github.com/andreafrancia/trash-cli/issues

IF YOU WANT SAY THANKS
Tweet (to @andreafrancia or #trash-cli) or donate 1, 2 or 5 euros using paypal: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=93L6PYT4WBN5A

CREDITS
Trash was written by Andrea Francia <andrea@andreafrancia.it>. The original version of trash-empty was contributed by Einar Orn Olason <eoo@hi.is>. The first version of manual pages was written by Steve Stalcup <vorian@ubuntu.com> and was modified by Massimo Cavalleri <submax@tiscalinet.it>.

SEE ALSO
trash-put(1), trash-restore(1), trash-empty(1), trash-rm(1), and the FreeDesktop.org Trash Specification at https://specifications.freedesktop.org/trash-spec/trashspec-1.0.html.

Both are released under the GNU General Public License, version 2 or later.